import { z } from "zod";

export const TipPaymentPlanSchema = z.object({
  planId: z.string(),
  planName: z.string(),
  amountCents: z.number(),
  currency: z.string(),
});

export type TipPaymentPlanInput = z.input<typeof TipPaymentPlanSchema>;
export type TipPaymentPlanData = z.output<typeof TipPaymentPlanSchema>;
